Summary:	Myth TV library based upon GLib/GObject paradigm
Summary(pl.UTF-8):	Biblioteka Myth TV oparta na paradygmacie GLib/GObject
Name:		gmyth
Version:	0.7.1
Release:	9
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/gmyth/%{name}-%{version}.tar.gz
# Source0-md5:	ab6b7525fd9c71cf5203f9e61abec0c3
Patch0:		%{name}-link.patch
Patch1:		%{name}-curl.patch
URL:		http://gmyth.sourceforge.net/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	curl-devel
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Myth TV library based upon GLib/GObject paradigm.

%description -l pl.UTF-8
Biblioteka Myth TV oparta na paradygmacie GLib/GObject.

%package devel
Summary:	Header files for gmyth library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gmyth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	glib2-devel >= 2.0
Requires:	libxml2-devel >= 2.0

%description devel
Header files for gmyth library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gmyth.

%package static
Summary:	Static gmyth library
Summary(pl.UTF-8):	Statyczna biblioteka gmyth
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gmyth library.

%description static -l pl.UTF-8
Statyczna biblioteka gmyth.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgmyth.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/gmyth-cat
%attr(755,root,root) %{_bindir}/gmyth-ls
%attr(755,root,root) %{_libdir}/libgmyth.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmyth.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgmyth.so
%{_includedir}/gmyth
%{_pkgconfigdir}/gmyth.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgmyth.a
%changelog
* Fri Apr 12 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gmyth.git;a=log;h=master

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 631b8d3
- drop .la file, release 9

* Thu Mar 14 2019 Jan Palus <atler@pld-linux.org> 88b8287
- release 8 (by relup.sh)

* Tue Mar 06 2018 Jan Rękorajski <baggins@pld-linux.org> 744525a
- rebuild with mysql 5.7
- release 7 (by relup.sh)

* Sat May 23 2015 Jan Rękorajski <baggins@pld-linux.org> 793c331
- release 6 (by relup.sh)

* Sun Jun 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 00fb4b6
- rel 5; don't include curl/types.h, doesn't exist

* Mon May 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f3a5e8e
- release 4

* Mon Jan 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 05e12cb
- release 3

* Sat Sep 26 2009 Patryk Zawadzki <patrys@room-303.com> 01a3939
- rel 2

* Wed Jul 23 2008 Patryk Zawadzki <patrys@room-303.com> 0703062
- 0.7.1

* Thu Feb 21 2008 Jakub Bogusz <qboosh@pld-linux.org> b81fc19
- ghost soname symlink
- updated link patch to fix linking with libgthread
- release 2

* Thu Feb 21 2008 Jakub Bogusz <qboosh@pld-linux.org> 8a4c7a5
- updated for 0.7: link with libgthread too

* Thu Feb 21 2008 Patryk Zawadzki <patrys@room-303.com> 9bd1fe2
- 0.7

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a4ba627
- rel 3

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> c3ad060
- rel 2

* Sun Jun 24 2007 Jakub Bogusz <qboosh@pld-linux.org> d3667fb
- new

* Sun Jun 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 85bdf9c
- fix libgmyth linking

